# Article page (text)

The article page contains text elements and embedded object like headline, preamble, images, videos. Also some metadata.

The page also supports fact boxes, tables, podcasts, slideshows, pdf links, related articles, inline anchor links, marked text and quotes.

Content is rendered and shown as entered in [Naviga Writer](https://docs.navigaglobal.com/writer/).

## Wrapper

Article body wrapper looks like this:

```markup
<article data-uuid="{{ uuid }}" itemscope itemtype="http://schema.org/Article">
  ...
  <div itemprop="articleBody" class="article-body">
```

## Inline styles

![Example: Inline styles in Writer](https://3066417513-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-L_HLbYnejnUK_QQoiMy%2F-MRzTA5w-eDEQ1hy3zo3%2F-MRzUoQ5GWM-RxbKrXxh%2Fimage.png?alt=media\&token=42c2fe6b-a141-444d-8f5c-620e9a6e66b7)

Supported inline styles wherever possible in Writer:

* Strong `<strong>`
* Emphasise `<em>`
* Highlight `<mark>`
* Anchor link `<a>`

## Body elements

Article document format used by Writer is NewsML, a standard xml format. Body text use elements. Elements are rendered in Naviga Web with `views/article/element.twig`. You could override that in a child theme if you need to.

| NewsML element                                      | HTML element                                     |
| --------------------------------------------------- | ------------------------------------------------ |
| Blockquote                                          | `<blockquote>`                                   |
| Headline                                            | `<h1 itemprop="name">`                           |
| <p>Subheadline<br><del>Subheadline \[1-6]</del></p> | `<h2>`                                           |
| Body                                                | `<p class="ew_body">`                            |
| Drophead                                            | `<p class="ew_drophead">`                        |
| Preamble                                            | `<p class="ew_preamble" itemprop="description">` |
| Ordered list                                        | `<div><ol><li>`                                  |
| Unordered list                                      | `<div><ul><li>`                                  |
| *All other elements*                                | `<p>`                                            |

## Create your own article template

Articles are rendered with `single-article.php`, override that in your child theme to use own php code or twig.

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/everyware/design/everyware-theme-base-2/article-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
